Admiral

Changesets

Plan a change set

POST
/v1/changesets/{change_set_id}/plan

FAILED_PRECONDITION when the change set is not a draft, has no revision, or if_revision is not the head (the message names the head).

Scope: changeset:write

Authorization

bearerAuth
AuthorizationBearer <token>

Personal Access Token (PAT) or Service Access Token (SAT). Pass the token in the Authorization header: Bearer admp_...

In: header

Path Parameters

change_set_id*change_set_id

The change_set_id path parameter.

Match^cs-[0-9a-z]{12}$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/changesets/string/plan" \  -H "Content-Type: application/json" \  -d '{}'
{  "prepare": {    "revision": 0,    "status": "PREPARE_STATUS_UNSPECIFIED",    "artifact_digest": "string",    "findings": [      {        "component": "string",        "code": "FINDING_CODE_UNSPECIFIED",        "message": "string",        "details": [          "string"        ]      }    ],    "error": {      "class": "PREPARE_ERROR_CLASS_UNSPECIFIED",      "component": "string",      "message": "string"    },    "requested_by": {      "id": "string",      "display_name": "string",      "email": "string"    },    "requested_by_kind": "ACTOR_KIND_UNSPECIFIED",    "requested_at": "2023-01-15T01:30:15.01Z",    "finished_at": "2023-01-15T01:30:15.01Z",    "attempts": 0  }}